> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List Network Connection Sources



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/container_runtime_insights/network_connection_sources
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/container_runtime_insights/network_connection_sources:
    get:
      tags:
        - Network Connections
      summary: List Network Connection Sources
      parameters:
        - description: Account id
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: 'Filters in format: key1:value1,key2:value2'
          in: query
          name: filters
          schema:
            type: string
        - description: Search phrase
          in: query
          name: q
          schema:
            type: string
        - description: 'Maximum number of results to return. Default: 100'
          in: query
          name: limit
          schema:
            type: integer
        - description: 'Number of results to skip. Default: 0'
          in: query
          name: offset
          schema:
            type: integer
        - description: 'Sort by field. Default: last_seen_at:desc'
          in: query
          name: sort
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResp-NetworkConnectionSource'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    SimpleListResp-NetworkConnectionSource:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/NetworkConnectionSource'
          type: array
        has_more:
          type: boolean
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    NetworkConnectionSource:
      properties:
        account_id:
          type: string
        addr_destinations_count:
          type: integer
        cluster_id:
          type: string
        first_seen_at:
          type: string
        hostname_destinations_count:
          type: integer
        last_seen_at:
          type: string
        workload_destinations_count:
          type: integer
        workload_kind:
          type: string
        workload_name:
          type: string
        workload_namespace:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````